diff --git a/src/test/regress/expected/join.out b/src/test/regress/expected/join.out
index faad882a03..063396ab52 100644
--- a/src/test/regress/expected/join.out
+++ b/src/test/regress/expected/join.out
@@ -6881,7 +6881,6 @@ WHERE t1.id = emp1.id RETURNING emp1.id, emp1.code;
 (3 rows)
 
 -- Check that SJE does not mistakenly omit qual clauses (bug #18187)
-insert into emp1 values (1, 1);
 explain (costs off)
 select 1 from emp1 full join
     (select * from emp1 t1 join
diff --git a/src/test/regress/sql/join.sql b/src/test/regress/sql/join.sql
index 4f3c51b6eb..5c420a7c6d 100644
--- a/src/test/regress/sql/join.sql
+++ b/src/test/regress/sql/join.sql
@@ -2623,7 +2623,6 @@ UPDATE emp1 SET code = t1.code + 1 FROM t1
 WHERE t1.id = emp1.id RETURNING emp1.id, emp1.code;
 
 -- Check that SJE does not mistakenly omit qual clauses (bug #18187)
-insert into emp1 values (1, 1);
 explain (costs off)
 select 1 from emp1 full join
     (select * from emp1 t1 join
